﻿{% extends "base/base.html" %}
{% block title %}
    Описание задания 2
{% endblock %}
{% block style %}
    <style type="text/css">
        fieldset {
            width: 310px;
            margin-top: 20px;
            border: 1px solid #d6d6d6;
            background-color: #ffffff;
            line-height: 1.6em;
        }

        legend {
            font-style: italic;
            color: #666666;
        }

        input[type="text"] {
            width: 120px;
            border: 1px solid #d6d6d6;
            padding: 2px;
            outline: none;
        }

        input[type="text"]:focus,
        input[type="text"]:hover {
            background-color: #d0e2f0;
            border: 1px solid #999999;
        }

        input[type="submit"] {
            border: 1px solid #006633;
            background-color: #009966;
            color: #ffffff;
            border-radius: 5px;
            padding: 5px;
            margin-top: 10px;
        }

        input[type="submit"]:hover {
            border: 1px solid #006633;
            background-color: #00CC33;
            color: #ffffff;
            cursor: pointer;
        }

        .title {
            float: left;
            width: 160px;
            clear: left;
        }

        .submit {
            width: 310px;
            text-align: right;
        }
    </style>
{% endblock %}
{% block body %}
    <h1>Урок 2. Архитектура python-приложений</h1>
    <h2>Задание:</h2>
    <ul>
        <li>Добавить в свой wsgi-фреймворк возможность обработки post-запроса</li>
        <li>Добавить в свой wsgi-фреймворк возможность получения данных из post запроса</li>
        <li>Дополнительно можно добавить возможность получения данных из get запроса</li>
        <li>В проект добавить страницу контактов на которой пользователь может отправить нам сообщение (пользователь
            вводит
            тему сообщения, его текст, свой email)
        </li>
        <li>После отправки реализовать сохранение сообщения в файл, либо вывести сообщение в терминал (базу данных пока
            не
            используем)
        </li>
    </ul>
    <form action="" method="post">
        <fieldset>
            <legend>Напишите сообщение</legend>
            <p>
                <label class="title" for="theme">Тема сообщения:</label>
                <input type="text" name="theme" id="theme"><br/>

                <label class="title" for="email">Ваш email:</label>
                <input type="text" name="email" id="email">

                <label class="title" for="message">Текст сообщения:</label>
                <textarea name="message" id="message"></textarea>
            </p>
        </fieldset>
        <div class="submit"><input type="submit" value="Отправить сообщение"/></div>
    </form>
{% endblock %}
